diff options
author | Jim Meyering <jim@meyering.net> | 2004-06-23 15:07:00 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2004-06-23 15:07:00 +0000 |
commit | 112efa81f24ead69a3a9b6ae76f601911535352c (patch) | |
tree | dc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/rm | |
parent | 11f05299f96e39d58356f83d09811487235c5f4c (diff) | |
download | coreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz |
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with
improper exit status when exiting via e.g., a trapped interrupt.
Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/rm')
-rwxr-xr-x | tests/rm/dangling-symlink | 4 | ||||
-rwxr-xr-x | tests/rm/deep-1 | 2 | ||||
-rwxr-xr-x | tests/rm/f-1 | 2 | ||||
-rwxr-xr-x | tests/rm/hash | 2 | ||||
-rwxr-xr-x | tests/rm/i-1 | 2 | ||||
-rwxr-xr-x | tests/rm/ir-1 | 2 | ||||
-rwxr-xr-x | tests/rm/isatty | 4 | ||||
-rwxr-xr-x | tests/rm/r-1 | 4 | ||||
-rwxr-xr-x | tests/rm/r-2 | 2 | ||||
-rwxr-xr-x | tests/rm/r-3 | 4 | ||||
-rwxr-xr-x | tests/rm/rm1 | 4 | ||||
-rwxr-xr-x | tests/rm/rm2 | 4 | ||||
-rwxr-xr-x | tests/rm/rm3 | 4 | ||||
-rwxr-xr-x | tests/rm/rm4 | 4 | ||||
-rwxr-xr-x | tests/rm/rm5 | 4 | ||||
-rwxr-xr-x | tests/rm/sunos-1 | 4 | ||||
-rwxr-xr-x | tests/rm/unread2 | 4 |
17 files changed, 28 insertions, 28 deletions
diff --git a/tests/rm/dangling-symlink b/tests/rm/dangling-symlink index 35ad93010..1b1968a85 100755 --- a/tests/rm/dangling-symlink +++ b/tests/rm/dangling-symlink @@ -22,7 +22,7 @@ ln -s / symlink if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -40,4 +40,4 @@ ls -l symlink > /dev/null 2>&1 && fail=1 kill $pid > /dev/null 2>&1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/deep-1 b/tests/rm/deep-1 index e995c54c5..b1cb5928d 100755 --- a/tests/rm/deep-1 +++ b/tests/rm/deep-1 @@ -41,4 +41,4 @@ rm -r $tmp || fail=1 # Make sure all of $tmp was deleted. test -d $tmp && fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/f-1 b/tests/rm/f-1 index fef5f90ce..5c339a0d2 100755 --- a/tests/rm/f-1 +++ b/tests/rm/f-1 @@ -23,4 +23,4 @@ fi fail=0 rm -f $tmp/no-such-file || fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/hash b/tests/rm/hash index f5cc14bd3..8e7f8ce86 100755 --- a/tests/rm/hash +++ b/tests/rm/hash @@ -37,4 +37,4 @@ fail=0 rm -r t || fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/i-1 b/tests/rm/i-1 index 4bf48e326..7d3ac1e1b 100755 --- a/tests/rm/i-1 +++ b/tests/rm/i-1 @@ -36,4 +36,4 @@ test -f $tmp/a && fail=1 rm -rf $tmp -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/ir-1 b/tests/rm/ir-1 index c5d76cde7..e99c75895 100755 --- a/tests/rm/ir-1 +++ b/tests/rm/ir-1 @@ -54,4 +54,4 @@ esac rm -rf $tmp $test.I -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/isatty b/tests/rm/isatty index 31fd0f495..8916e6ac1 100755 --- a/tests/rm/isatty +++ b/tests/rm/isatty @@ -20,7 +20,7 @@ cd $tmp || framework_failure=1 if test $framework_failure = 1; then echo 'failure in testing framework' 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -56,4 +56,4 @@ echo x >> out cmp out exp || fail=1 test $fail = 1 && diff out exp 2> /dev/null -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/r-1 b/tests/rm/r-1 index 91560c8ce..30d37b872 100755 --- a/tests/rm/r-1 +++ b/tests/rm/r-1 @@ -29,7 +29,7 @@ EOF if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -45,4 +45,4 @@ done cmp $test.E $test.O || fail=1 test $fail = 1 && diff $test.E $test.O 2> /dev/null -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/r-2 b/tests/rm/r-2 index 724c459eb..127366471 100755 --- a/tests/rm/r-2 +++ b/tests/rm/r-2 @@ -46,4 +46,4 @@ fi cmp t/E t/O || fail=1 test $fail = 1 && diff t/E t/O 2> /dev/null -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/r-3 b/tests/rm/r-3 index a946df93f..debc80228 100755 --- a/tests/rm/r-3 +++ b/tests/rm/r-3 @@ -35,11 +35,11 @@ cd $pwd || framework_fail=1 if test $framework_fail = 1; then echo 'failure in testing framework' - (exit 1); exit + (exit 1); exit 1 fi fail=0 rm -rf $tmp || fail=1 test -d $tmp && fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/rm1 b/tests/rm/rm1 index 998a30673..397f4e865 100755 --- a/tests/rm/rm1 +++ b/tests/rm/rm1 @@ -23,7 +23,7 @@ chmod u-w b/a || framework_failure=1 if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -49,4 +49,4 @@ test -d b/a/p || fail=1 test -d b/c && fail=1 test -d b/d && fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/rm2 b/tests/rm/rm2 index f9622e0d2..ce4680705 100755 --- a/tests/rm/rm2 +++ b/tests/rm/rm2 @@ -23,7 +23,7 @@ chmod u-x a/1 b || framework_failure=1 if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -44,4 +44,4 @@ test -d a/1 || fail=1 chmod u+x b test -d b/3 || fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/rm3 b/tests/rm/rm3 index 98b7ff9bf..f27fd6cf5 100755 --- a/tests/rm/rm3 +++ b/tests/rm/rm3 @@ -30,7 +30,7 @@ cd .. if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -75,4 +75,4 @@ test $fail = 1 && diff -u out exp 2> /dev/null test -d z && fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/rm4 b/tests/rm/rm4 index 289f3e7ab..28af0d9d9 100755 --- a/tests/rm/rm4 +++ b/tests/rm/rm4 @@ -22,7 +22,7 @@ mkdir dir || framework_failure=1 if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -32,4 +32,4 @@ rm dir > /dev/null 2>&1 && fail=1 test -d dir || fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/rm5 b/tests/rm/rm5 index a1f3231af..7868e903a 100755 --- a/tests/rm/rm5 +++ b/tests/rm/rm5 @@ -33,7 +33,7 @@ EOF if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -54,4 +54,4 @@ test -d d && fail=1 cmp out exp || fail=1 test $fail = 1 && diff -u out exp 2> /dev/null -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/sunos-1 b/tests/rm/sunos-1 index c5f10fd45..c54a6db5d 100755 --- a/tests/rm/sunos-1 +++ b/tests/rm/sunos-1 @@ -20,10 +20,10 @@ cd $tmp || framework_failure=1 if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 rm -r '' > /dev/null 2>&1 && fail=1 -(exit $fail); exit +(exit $fail); exit $fail diff --git a/tests/rm/unread2 b/tests/rm/unread2 index e9be46e85..f7acf05db 100755 --- a/tests/rm/unread2 +++ b/tests/rm/unread2 @@ -23,7 +23,7 @@ chmod u-r a if test $framework_failure = 1; then echo "$0: failure in testing framework" 1>&2 - (exit 1); exit + (exit 1); exit 1 fi fail=0 @@ -37,4 +37,4 @@ EOF cmp out exp || fail=1 test $fail = 1 && diff out exp 2> /dev/null -(exit $fail); exit +(exit $fail); exit $fail |